petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGMRESGetCGSRefinementType

Gets the type of iterative refinement to use in the classical Gram Schmidt orthogonalization.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESGetCGSRefinementType(KSP ksp,KSPGMRESCGSRefinementType *type)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

type -the type of refinement

### Options Database

-ksp_gmres_cgs_refinement_type <refine_never,refine_ifneeded,refine_always> -

### See Also

KSPGMRESSetOrthogonalization(), KSPGMRESCGSRefinementType, KSPGMRESClassicalGramSchmidtOrthogonalization(), KSPGMRESSetCGSRefinementType(),
KSPGMRESGetOrthogonalization()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/gmres.c

### Implementations

KSPGMRESGetCGSRefinementType_GMRES in src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages